package at.tugraz.kmi.medokyservice.fca.db.conf;

import java.io.File;

import at.tugraz.kmi.medokyservice.fca.db.Database;

/**
 * Contains {@link Database} configuration parameters
 * 
 * @author Bernd Prünster <mail@berndpruenster.org>
 * 
 */
public interface DBConfig {
  /**
   * The name of the persistent database file
   */
  public static final String DB_PATH         = "at.tugraz.kti.lea.fca.db";
  /**
   * The path to the persistent database file
   */
  public static final String DB_DIR          = "appdata" + File.separator + "lea-fca" + File.separator;

  public static final String MYSQL_CONF_PATH = DB_DIR + "mysql.conf";

  public static final String KEY_MYSQL_URL   = "mysql_url";
  public static final String KEY_MYSQL_USER  = "mysql_user";
  public static final String KEY_MYSQL_PWD   = "mysql_pwd";

}
